export ROOT=/homes/gws/wmdietl/research/eclipse-workspaces/types-plugins
export JAVA_HOME=/homes/gws/installed/openjdk7/current/jdk1.7.0

export JAVAC=$ROOT/jsr308-langtools/dist/bin/javac
export CHECKERS=$ROOT/checker-framework/checkers

# ensures that the JSR308 javac uses the JDK7 java
export PATH=$JAVA_HOME/bin:$PATH
export JAVA=$JAVA_HOME/bin/java
export CHINF=$ROOT/checker-inference

export SCALA_HOME=/homes/gws/wmdietl/research/other-projects/scala/current/
export SCALA=$SCALA_HOME/bin/scala
export SCALAC=$SCALA_HOME/bin/fsc
export JAVACMD=$JAVA

export CFCLASSPATH=$ROOT/checker-inference/bin:$ROOT/GUT7/bin:$ROOT/jsr308-langtools/build/classes:$CHECKERS/build/:$CHECKERS/../javaparser/build/:$CHECKERS/tests/junit-4.7.jar:$CHECKERS/lib/asmx.jar:$CHECKERS/lib/javaparser.jar:$JAVA_HOME/lib/tools.jar:$JAVA_HOME/jre/lib/rt.jar:$SCALA_HOME/lib/scala-library.jar:$SCALA_HOME/lib/scala-compiler.jar:$ROOT/plume-lib/java/plume.jar:$ROOT/annotation-tools/annotation-file-utilities/bin:$ROOT/annotation-tools/annotation-file-utilities/annotation-file-utilities.jar:$ROOT/checker-inference/tests:.
export CLASSPATH=$CHECKERS/build/:$CHECKERS/../javaparser/build/:$CHECKERS/tests/junit-4.7.jar:$ROOT/GUT7/bin:$CHECKERS/tests/build/:$CHINF/bin:$CHECKERS/binary/jsr308-all.jar:$CFCLASSPATH

export JAVA_OPTS="-ea -server -Xmx1024m -Xms512m -Xss1m -Xbootclasspath/p:$CLASSPATH"

