package GUT.quals;

import java.lang.annotation.*;

/**
 * Marks a side-effect (pure) method. See
 *
 * {@link http://www.eecs.ucf.edu/~leavens/JML/jmlrefman/jmlrefman_7.html#SEC59}
 *
 * for a definition.
 *
 * @author wmdietl
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
// @Target({ ElementType.METHOD, ElementType.CONSTRUCTOR })
public @interface Pure {
}